# meraki_organization – Manage organizations in the Meraki cloud

New in version 2.6.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Allows for creation, management, and visibility into organizations within Meraki.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
auth_key string / required |  | Authentication key provided by the dashboard. Required if environmental variable `MERAKI_KEY` is not set.
clone - |  | Organization to clone to a new organization.
host string | Default: "api.meraki.com" | Hostname for Meraki dashboard. Can be used to access regional Meraki environments, such as China.
internal_error_retry_time integer | Default: 60 | Number of seconds to retry if server returns an internal server error.
org_id string |  | ID of organization. aliases: id
org_name string |  | Name of organization. If `clone` is specified, `org_name` is the name of the new organization. aliases: name, organization

output_format
string

Choices:
- snakecase ←
- camelcase

Instructs module whether response keys should be snake case (ex. `net_id`) or camel case (ex. `netId`).

output_level
string

Choices:
- debug
- normal ←

Set amount of debug output during module execution.

rate_limit_retry_time integer | Default: 165 | Number of seconds to retry if rate limiter is triggered.

state
-

Choices:
- present ←
- query

Create or modify an organization.
`org_id` must be specified if multiple organizations of the same name exist.

timeout integer | Default: 30 | Time to timeout for HTTP requests.

use_https
boolean

Choices:
- no
- yes ←

If `no`, it will use HTTP. Otherwise it will use HTTPS.
Only useful for internal Meraki developers.

use_proxy
boolean

Choices:
- no
- yes

If `no`, it will not use a proxy, even if one is defined in an environment variable on the target hosts.

validate_certs
boolean

Choices:
- no
- yes ←

Whether to validate HTTP certificates.

## Notes

Note

- More information about the Meraki API can be found at https://dashboard.meraki.com/api_docs.

- Some of the options are likely only used for developers within Meraki.

- As of Ansible 2.9, Meraki modules output keys as snake case. To use camel case, set the `ANSIBLE_MERAKI_FORMAT` environment variable to `camelcase`.

- Ansible’s Meraki modules will stop supporting camel case output in Ansible 2.13. Please update your playbooks.

## Examples

    - name: Create a new organization named YourOrg
      meraki_organization:
        auth_key: abc12345
        org_name: YourOrg
        state: present
      delegate_to: localhost

    - name: Delete an organization named YourOrg
      meraki_organization:
        auth_key: abc12345
        org_name: YourOrg
        state: absent
      delegate_to: localhost

    - name: Query information about all organizations associated to the user
      meraki_organization:
        auth_key: abc12345
        state: query
      delegate_to: localhost

    - name: Query information about a single organization named YourOrg
      meraki_organization:
        auth_key: abc12345
        org_name: YourOrg
        state: query
      delegate_to: localhost

    - name: Rename an organization to RenamedOrg
      meraki_organization:
        auth_key: abc12345
        org_id: 987654321
        org_name: RenamedOrg
        state: present
      delegate_to: localhost

    - name: Clone an organization named Org to a new one called ClonedOrg
      meraki_organization:
        auth_key: abc12345
        clone: Org
        org_name: ClonedOrg
        state: present
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data complex | success | Information about the organization which was created or modified
| id integer | success | Unique identification number of organization Sample: 2930418
| name string | success | Name of organization Sample: YourOrg

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Kevin Breit (@kbreit)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.